Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2020-29569

Published: 15 December 2020

An issue was discovered in the Linux kernel through 5.10.1, as used with Xen through 4.14.x. The Linux kernel PV block backend expects the kernel thread handler to reset ring->xenblkd to NULL when stopped. However, the handler may not have time to run if the frontend quickly toggles between the states connect and disconnect. As a consequence, the block backend may re-use a pointer after it was freed. A misbehaving guest can trigger a dom0 crash by continuously connecting / disconnecting a block frontend. Privilege escalation and information leaks cannot be ruled out. This only affects systems with a Linux blkback.

From the Ubuntu Security Team

Olivier Benjamin and Pawel Wieczorkiewicz discovered a race condition the Xen paravirt block backend in the Linux kernel, leading to a use-after-free vulnerability. An attacker in a guest VM could use this to cause a denial of service in the host OS.

Priority

Low

Cvss 3 Severity Score

8.8

Score breakdown

Status

Package Release Status
linux-oracle-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

groovy Does not exist

hirsute Does not exist

focal Not vulnerable
(5.8.0-1031.32~20.04.2)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-riscv-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

trusty Does not exist

xenial Does not exist

groovy Does not exist

hirsute Does not exist

focal
Released (5.8.0-17.19~20.04.1)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-hwe-5.11
Launchpad, Ubuntu, Debian
focal Not vulnerable
(5.11.0-22.23~20.04.1)
bionic Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-oracle-5.11
Launchpad, Ubuntu, Debian
hirsute Does not exist

impish Does not exist

upstream
Released (5.11~rc1)
bionic Does not exist

focal Not vulnerable
(5.11.0-1008.8~20.04.1)
jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-nvidia
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-riscv-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

hirsute Does not exist

focal Not vulnerable
(5.11.0-1015.16~20.04.1)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux
Launchpad, Ubuntu, Debian
impish Not vulnerable
(5.11.0-16.17)
groovy
Released (5.8.0-44.50)
hirsute Not vulnerable
(5.10.0-14.15)
trusty Not vulnerable
(3.11.0-12.19)
bionic
Released (4.15.0-136.140)
focal
Released (5.4.0-66.74)
jammy Not vulnerable
(5.13.0-19.19)
kinetic Not vulnerable
(5.15.0-25.25)
lunar Not vulnerable
(5.15.0-25.25)
upstream
Released (5.11~rc1)
xenial
Released (4.4.0-204.236)
mantic Not vulnerable
(5.15.0-25.25)
Patches:
Introduced by

a24fa22ce22ae302b3bf8f7008896d52d5d57b8d

Fixed by 1c728719a4da6e654afb9cc047164755072ed7c9
linux-aws
Launchpad, Ubuntu, Debian
impish Not vulnerable
(5.11.0-1006.6)
bionic
Released (4.15.0-1094.101)
focal
Released (5.4.0-1038.40)
groovy
Released (5.8.0-1024.26)
hirsute Not vulnerable
(5.8.0-1025.27+21.04.1)
jammy Not vulnerable
(5.13.0-1005.6)
kinetic Not vulnerable
(5.15.0-1004.6)
lunar Not vulnerable
(5.15.0-1004.6)
trusty
Released (4.4.0-1087.91)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
upstream
Released (5.11~rc1)
xenial
Released (4.4.0-1123.137)
mantic Not vulnerable
(5.15.0-1004.6)
linux-hwe
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Ignored
(replaced by linux-hwe-5.4)
focal Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial
Released (4.15.0-136.140~16.04.1)
mantic Does not exist

linux-hwe-5.4
Launchpad, Ubuntu, Debian
impish Does not exist

bionic
Released (5.4.0-66.74~18.04.2)
focal Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-hwe-edge
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Ignored
(superseded by linux-hwe-5.4)
focal Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Ignored
(superseded by linux-hwe)
mantic Does not exist

linux-kvm
Launchpad, Ubuntu, Debian
impish Not vulnerable
(5.11.0-1006.6)
bionic
Released (4.15.0-1085.87)
focal
Released (5.4.0-1033.34)
groovy
Released (5.8.0-1019.21)
hirsute Not vulnerable
(5.8.0-1020.22+21.04.1)
jammy Not vulnerable
(5.13.0-1004.4)
kinetic Not vulnerable
(5.15.0-1004.4)
lunar Not vulnerable
(5.15.0-1004.4)
trusty Does not exist

upstream
Released (5.11~rc1)
xenial
Released (4.4.0-1089.98)
mantic Does not exist

linux-lts-trusty
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty
Released (4.4.0-204.236~14.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-aws-5.0
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Ignored
(superseded by linux-aws-5.3)
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-aws-5.11
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Does not exist

focal Not vulnerable
(5.11.0-1009.9~20.04.2)
hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-aws-5.3
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Ignored
(superseded by linux-aws-5.4)
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-aws-5.4
Launchpad, Ubuntu, Debian
impish Does not exist

focal Does not exist

bionic
Released (5.4.0-1038.40~18.04.1)
groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-aws-5.8
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Does not exist

focal Not vulnerable
(5.8.0-1035.37~20.04.1)
groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-ibm
Launchpad, Ubuntu, Debian
impish Does not exist

focal Not vulnerable
(5.4.0-1003.4)
upstream
Released (5.11~rc1)
bionic Does not exist

hirsute Does not exist

jammy Not vulnerable
(5.15.0-1002.2)
kinetic Not vulnerable
(5.15.0-1002.2)
lunar Not vulnerable
(5.15.0-1002.2)
trusty Does not exist

xenial Does not exist

mantic Not vulnerable
(5.15.0-1002.2)
linux-gkeop-5.15
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Needs triage

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-aws-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-aws-6.2, was needs-triage)
linux-gcp-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-riscv-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-allwinner
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Not vulnerable

lunar Not vulnerable

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-allwinner-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-hwe-5.13
Launchpad, Ubuntu, Debian
focal Not vulnerable
(5.13.0-21.21~20.04.1)
upstream
Released (5.11~rc1)
bionic Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-starfive
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Not vulnerable

lunar Not vulnerable

upstream Needs triage

mantic Not vulnerable

linux-starfive-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-gcp-5.3
Launchpad, Ubuntu, Debian
focal Does not exist

bionic Ignored
(superseded by linux-gcp-5.4)
groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-azure-5.3
Launchpad, Ubuntu, Debian
upstream
Released (5.11~rc1)
bionic Ignored
(superseded by linux-azure-5.4)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-gcp
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1037.40)
bionic Ignored
(superseded by linux-gcp-5.3)
groovy
Released (5.8.0-1023.24)
hirsute Not vulnerable
(5.8.0-1024.25+21.04.1)
impish Not vulnerable
(5.11.0-1006.6)
jammy Not vulnerable
(5.13.0-1005.6)
kinetic Not vulnerable
(5.15.0-1003.6)
lunar Not vulnerable
(5.15.0-1003.6)
trusty Does not exist

upstream
Released (5.11~rc1)
xenial
Released (4.15.0-1093.106~16.04.1)
mantic Not vulnerable
(5.15.0-1003.6)
linux-gcp-4.15
Launchpad, Ubuntu, Debian
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (4.15.0-1093.106)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-gcp-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1037.40~18.04.1)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-gcp-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-gcp-5.3)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-oem
Launchpad, Ubuntu, Debian
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Ignored
(end of standard support)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

bionic Ignored
(replaced by linux-hwe-5.4, was needs-triage)
linux-oem-5.6
Launchpad, Ubuntu, Debian
bionic Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

upstream
Released (5.11~rc1)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-oem-5.10, was needed)
linux-oem-osp1
Launchpad, Ubuntu, Debian
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(end of standard support, was needs-triage)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-oracle
Launchpad, Ubuntu, Debian
trusty Does not exist

bionic
Released (4.15.0-1065.73)
focal
Released (5.4.0-1038.41)
groovy
Released (5.8.0-1021.22)
hirsute Not vulnerable
(5.8.0-1022.23+21.04.1)
impish Not vulnerable
(5.11.0-1005.5)
jammy Not vulnerable
(5.13.0-1008.10)
kinetic Not vulnerable
(5.15.0-1002.4)
lunar Not vulnerable
(5.15.0-1002.4)
upstream
Released (5.11~rc1)
xenial
Released (4.15.0-1065.73~16.04.1)
mantic Not vulnerable
(5.15.0-1002.4)
linux-oracle-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.3)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-raspi-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1029.32~18.04.1)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-riscv
Launchpad, Ubuntu, Debian
bionic Does not exist

trusty Does not exist

xenial Does not exist

groovy
Released (5.8.0-17.19)
hirsute Not vulnerable
(5.11.0-1004.4)
impish Not vulnerable
(5.11.0-1007.7)
jammy Not vulnerable
(5.13.0-1004.4)
kinetic Not vulnerable
(5.15.0-1007.7)
lunar Not vulnerable
(5.15.0-1007.7)
upstream
Released (5.11~rc1)
mantic Not vulnerable
(5.15.0-1007.7)
focal Ignored
(superseded by linux-riscv-5.8, was needed)
linux-snapdragon
Launchpad, Ubuntu, Debian
focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

bionic
Released (4.15.0-1096.105)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream
Released (5.11~rc1)
xenial
Released (4.4.0-1151.161)
mantic Does not exist

linux-azure-fde
Launchpad, Ubuntu, Debian
upstream
Released (5.11~rc1)
jammy Needs triage

focal
Released (5.4.0-1040.42)
bionic Does not exist

impish Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-gcp-5.13
Launchpad, Ubuntu, Debian
focal Not vulnerable
(5.13.0-1008.9~20.04.3)
upstream
Released (5.11~rc1)
bionic Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-ibm-5.4
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(5.4.0-1010.11~18.04.2)
upstream
Released (5.11~rc1)
focal Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-oracle-5.13
Launchpad, Ubuntu, Debian
focal Not vulnerable
(5.13.0-1011.13~20.04.2)
upstream
Released (5.11~rc1)
bionic Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-aws-hwe
Launchpad, Ubuntu, Debian
xenial
Released (4.15.0-1094.101~16.04.1)
bionic Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-gke-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

bionic
Released (5.4.0-1036.38~18.04.1)
groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-dell300x
Launchpad, Ubuntu, Debian
upstream
Released (5.11~rc1)
bionic
Released (4.15.0-1012.16)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-gkeop
Launchpad, Ubuntu, Debian
upstream
Released (5.11~rc1)
bionic Does not exist

focal
Released (5.4.0-1010.11)
groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Needs triage

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-oem-5.10
Launchpad, Ubuntu, Debian
upstream
Released (5.11~rc1)
bionic Does not exist

focal
Released (5.10.0-1011.12)
groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

linux-oem-6.0
Launchpad, Ubuntu, Debian
jammy Not vulnerable
(6.0.0-1006.6)
bionic Does not exist

focal Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-oem-6.1, was needs-triage)
linux-aws-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-hwe-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-hwe-6.5, was needs-triage)
linux-lowlatency-hwe-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-lowlatency-hwe-6.5, was needs-triage)
linux-ibm-5.15
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Not vulnerable

jammy Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-gcp-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-azure-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-azure-fde-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Needs triage

mantic Does not exist

linux-gke
Launchpad, Ubuntu, Debian
upstream
Released (5.11~rc1)
focal
Released (5.4.0-1036.38)
xenial Ignored
(end of standard support)
bionic Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Not vulnerable
(5.15.0-1002.2)
kinetic Does not exist

lunar Does not exist

trusty Does not exist

mantic Does not exist

linux-oem-5.17
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

jammy Not vulnerable
(5.17.0-1003.3)
kinetic Not vulnerable
(5.17.0-1003.3)
lunar Does not exist

upstream
Released (5.11~rc1)
mantic Does not exist

linux-aws-5.15
Launchpad, Ubuntu, Debian
focal Not vulnerable

bionic Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-azure-fde-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

trusty Does not exist

xenial Does not exist

jammy Does not exist

kinetic Does not exist

upstream Needs triage

focal Not vulnerable
(5.15.0-1007.8~20.04.1)
lunar Does not exist

mantic Does not exist

linux-aws-5.13
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Not vulnerable
(5.13.0-1008.9~20.04.2)
impish Does not exist

jammy Does not exist

kinetic Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-intel-iotg
Launchpad, Ubuntu, Debian
jammy Not vulnerable
(5.15.0-1004.6)
bionic Does not exist

focal Does not exist

impish Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-xilinx-zynqmp
Launchpad, Ubuntu, Debian
jammy Not vulnerable

bionic Does not exist

focal Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-azure
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.3)
focal
Released (5.4.0-1040.42)
groovy
Released (5.8.0-1023.25)
hirsute Not vulnerable
(5.8.0-1024.26+21.04.1)
impish Not vulnerable
(5.11.0-1004.4)
jammy Not vulnerable
(5.13.0-1006.7)
kinetic Not vulnerable
(5.15.0-1003.4)
lunar Not vulnerable
(5.15.0-1003.4)
trusty
Released (4.15.0-1108.120~14.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
upstream
Released (5.11~rc1)
xenial
Released (4.15.0-1108.120~16.04.1)
mantic Not vulnerable
(5.15.0-1003.4)
linux-azure-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1108.120)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-azure-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.11.0-1007.7~20.04.2)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-azure-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.13.0-1009.10~20.04.2)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-azure-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-azure-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-azure-6.2, was needs-triage)
linux-azure-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1040.42~18.04.1)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-azure-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.8.0-1033.35~20.04.1)
groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-azure-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.3)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-azure-fde-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-azure-fde-6.2, was needs-triage)
linux-bluefield
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.4.0-1011.14)
hirsute Does not exist

impish Does not exist

jammy Not vulnerable
(5.15.0-1011.13)
kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-fips
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Ignored
(end of standard support)
mantic Does not exist

linux-gcp-5.11
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.11.0-1009.10~20.04.1)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-gcp-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-gcp-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.8.0-1032.34~20.04.1)
groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-gke-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1079.84)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-gke-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support, was needed)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-gke-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
linux-gke-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support, was needed)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-gkeop-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1010.11~18.04.1)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-hwe-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-hwe-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-hwe-6.2, was needs-triage)
linux-hwe-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.8.0-44.50~20.04.1)
groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-intel-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.13.0-1007.7)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-intel-iotg-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.15.0-1003.5~20.04.1)
impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-iot
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-lowlatency
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

impish Does not exist

jammy Not vulnerable
(5.15.0-22.22)
kinetic Not vulnerable
(5.15.0-24.24)
lunar Not vulnerable
(5.15.0-24.24)
trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Not vulnerable
(5.15.0-24.24)
linux-lowlatency-hwe-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-lowlatency-hwe-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-lowlatency-hwe-6.2, was needs-triage)
linux-oem-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.13.0-1009.10)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-oem-5.14
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable
(5.14.0-1004.4)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-oem-6.1
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-oracle-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-oracle-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.4)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-oracle-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1038.41~18.04.1)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-raspi
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.4.0-1029.32)
groovy
Released (5.8.0-1016.19)
hirsute Not vulnerable
(5.11.0-1003.3)
impish Not vulnerable
(5.11.0-1007.7)
jammy Not vulnerable
(5.13.0-1008.9)
kinetic Not vulnerable
(5.15.0-1005.5)
lunar Not vulnerable
(5.15.0-1005.5)
trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Not vulnerable
(5.15.0-1005.5)
linux-raspi2
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1079.84)
focal Ignored
(replaced by linux-raspi)
groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial
Released (4.4.0-1147.157)
mantic Does not exist

linux-raspi2-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support, was needed)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.11~rc1)
xenial Does not exist

mantic Does not exist

linux-riscv-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

linux-nvidia-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

linux-starfive-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-starfive-6.5, was needs-triage)
linux-laptop
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

lunar Does not exist

mantic Not vulnerable

upstream Needs triage

linux-oem-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

linux-hwe-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

linux-lowlatency-hwe-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

linux-riscv-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

linux-starfive-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

Severity score breakdown

Parameter Value
Base score 8.8
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Changed
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H